<?php
/**
 * @file
 * Contains \Drupal\form_test\Controller\FormTestController.
 */

namespace Drupal\form_test\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\Core\Language\Language;

/**
 * Controller routines for form_test routes.
 */
class FormTestController extends ControllerBase {

  /**
   * Returns two instances of the node form.
   *
   * @return string
   *   A HTML-formatted string with the double node form page content.
   */
  public function twoFormInstances() {
    $user = $this->currentUser();
    $values = array(
      'uid' => $user->id(),
      'name' => $user->getUsername(),
      'type' => 'page',
      'langcode' => Language::LANGCODE_NOT_SPECIFIED,
    );
    $node1 = $this->entityManager()->getStorageController('node')->create($values);
    $node2 = clone($node1);
    $return['node_form_1'] = $this->entityManager()->getForm($node1);
    $return['node_form_2'] = $this->entityManager()->getForm($node2);
    return $return;
  }

  /**
   * @todo Remove form_test_wrapper_callback().
   */
  public function wrapperCallback($form_id) {
    return form_test_wrapper_callback($form_id);
  }

  /**
   * @todo Remove form_test_double_form().
   */
  public function doubleForm() {
    return form_test_double_form();
  }

}
